Loading...
Searching...
No Matches
uhd::rfnoc::action_info Struct Reference

`#include <uhd/rfnoc/actions.hpp>`

Inheritance diagram for uhd::rfnoc::action_info:
[legend]
Collaboration diagram for uhd::rfnoc::action_info:
[legend]

## Public Types

using | sptr = std::shared_ptr<action_info>

## Public Member Functions

virtual | ~action_info ()

## Static Public Member Functions

static sptr | make (const std::string &key="", const uhd::device_addr_t &args=uhd::device_addr_t(""))
| Factory function.

## Public Attributes

const size_t | id
| A unique counter for this action.
std::string | key
| A string identifier for this action.
std::vector< uint8_t > | payload
| An arbitrary payload. It is up to consumers and producers to.
uhd::device_addr_t | args
| A dictionary of key-value pairs. May be used as desired.

## Protected Member Functions

| action_info (const std::string &key, const uhd::device_addr_t &args=uhd::device_addr_t(""))

## Detailed Description

Container for an action

In the RFNoC context, an action is comparable to a command. Nodes in the graph can send each other actions. action_info is the payload of such an action message. Nodes pass shared pointers to action_info objects between each other to avoid costly copies of large action_info objects.

## Member Typedef Documentation

## sptr

using uhd::rfnoc::action_info::sptr = std::shared_ptr<action_info>

## Constructor & Destructor Documentation

## ~action_info()

virtual uhd::rfnoc::action_info::~action_info | ( |  | ) |

inline virtual

## action_info()

uhd::rfnoc::action_info::action_info | ( | const std::string & | key,
|  | const uhd::device_addr_t & | args = uhd::device_addr_t("") )

protected

## Member Function Documentation

## make()

sptr uhd::rfnoc::action_info::make | ( | const std::string & | key = "",
|  | const uhd::device_addr_t & | args = uhd::device_addr_t("") )

static

Factory function.

## Member Data Documentation

## args

uhd::device_addr_t uhd::rfnoc::action_info::args

A dictionary of key-value pairs. May be used as desired.

## id

const size_t uhd::rfnoc::action_info::id

A unique counter for this action.

## key

std::string uhd::rfnoc::action_info::key

A string identifier for this action.

## payload

std::vector<uint8_t> uhd::rfnoc::action_info::payload

An arbitrary payload. It is up to consumers and producers to.

The documentation for this struct was generated from the following file:

- actions.hpp